Summary: S-Lang extention for Ruby
Name: ruby-slang
Version: 0.5
Release: 0.5k
Copyright: GPL
Group: Applications/Text
Source: http://kondara.sdri.co.jp/~kikutani/slanglib.tar.gz
Distribution: Kondara
Buildroot: /var/tmp/%{Name}-root
Requires: ruby, slang >= 1.2.2
NoSource: 0

%description
Ruby-SLang is an extention modules for Ruby in order to let the ruby to be able
to use S-Lang with Ruby script. so cool.

%prep
RUBYVER=`ruby -e "print RUBY_VERSION.split('.')[0,2].join('.')"`
rm -rf $RPM_BUILD_ROOT

%setup -n slanglib

%build
ruby extconf.rb
make

%install
RUBYVER=`ruby -e "print RUBY_VERSION.split('.')[0,2].join('.')"`
mkdir -p $RPM_BUILD_ROOT/usr/lib/ruby/$RUBYVER/${RPM_ARCH}-linux
install -m 755 slanglib.so $RPM_BUILD_ROOT/usr/lib/ruby/$RUBYVER/${RPM_ARCH}-linux
install -m 644 lib/slang.rb $RPM_BUILD_ROOT/usr/lib/ruby/$RUBYVER

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-   ,root,root)
%doc README.euc MANIFEST changes.txt *.rb
/usr/lib/ruby/*/slang.rb
%ifarch i386
/usr/lib/ruby/*/i386-linux/slanglib.so
%endif
%ifarch i486
/usr/lib/ruby/*/i486-linux/slanglib.so
%endif
%ifarch i586
/usr/lib/ruby/*/i586-linux/slanglib.so
%endif
%ifarch i686
/usr/lib/ruby/*/i686-linux/slanglib.so
%endif
%ifarch alpha
/usr/lib/ruby/*/alpha-linux/slanglib.so
%endif
%ifarch sparc sparc64
/usr/lib/ruby/*/sparc-linux/slanglib.so
%endif

%changelog
* Thu Oct 19 2000 Toru Hoshina <toru@df-usa.com>
- it should be suitable to both ruby 1.4.x and 1.6.x.
- slanglib 0.5.1.

* Tue Oct 16 2000 Toru Hoshina <toru@df-usa.com>
- rebuild against ruby 1.6.1.

* Fri Sep 8 2000 Toru Hoshina <t@kondara.org>
- version up to 0.50 snapshot.

* Wed Jul 19 2000 Tenkou N. Hattori <tnh@kondara.org>
- version up to 0.41 snapshot.

* Thu May 11 2000 Kikutani Makoto <g@kondara.org>
- highlight by regexp in pager class. no longer require slang-ja

* Thu Feb  3 2000 Toru Hoshina <t@kondara.org>
- fix on alpha (maybe on SPARC and intel :-P)

* Thu Jan 13 2000 Takaaki Tabuchi <tab@kondara.org>
- add ifarch sparc.

* Sat Dec 18 1999 Tenkou N. Hattori <tnh@kondara.org>
- version up to 0.33 snapshot.

* Sun Dec 12 1999 Tenkou N. Hattori <tnh@kondara.org>
- version up to 0.32 snapshot.

* Thu Dec  9 1999 Tenkou N. Hattori <tnh@kondara.org>
- version up to 0.30 snapshot.

* Sun Nov  7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sun Oct 11 1999 Tenkou N. Hattori <tnh@aurora.dti.ne.jp>
- version up to 0.30 snapshot.

* Sun Oct  9 1999 Tenkou N. Hattori <tnh@aurora.dti.ne.jp>
- version up to 0.26 snapshot.

* Sun Sep 19 1999 Tenkou N. Hattori <tnh@aurora.dti.ne.jp>
- version up to 0.25 snapshot.

* Mon Sep  6 1999 Tenkou N. Hattori <tnh@aurora.dti.ne.jp>
- version up to 0.24 snapshot.

* Mon Aug 30 1999 Tenkou N. Hattori <tnh@aurora.dti.ne.jp>
- version up to 0.23 snapshot.

* Sat Aug 28 1999 Tenkou N. Hattori <tnh@aurora.dti.ne.jp>
- version up to 0.22 snapshot.

* Sat Aug 14 1999 Tenkou N. Hattori <tnh@aurora.dti.ne.jp>
- version up to ruby 1.4.

* Tue Aug 12 1999 Tenkou N. Hattori <tnh@aurora.dti.ne.jp>
- version up to 0.21 snapshot.

* Wed Aug 11 1999 Tenkou N. Hattori <tnh@aurora.dti.ne.jp>
- version up to 0.21.

* Tue Aug 10 1999 Tenkou N. Hattori <tnh@aurora.dti.ne.jp>
- version up to 0.20.

* Wed May 19 1999 Toru Hoshina <hoshina@best.com>
- version up to 0.18.

* Tue Apr 20 1999 Toru Hoshina <hoshina@best.com>
- version up to 0.15.

* Tue Apr 06 1999 Toru Hoshina <hoshina@best.com>
- version up to 0.14.

* Wed Feb 24 1999 Toru Hoshina <hoshina@best.com>
- version up to 0.11.

* Thu Feb 18 1999 Toru Hoshina <hoshina@best.com>
- version up to 0.10.

* Fri Feb  5 1999 Toru Hoshina <hoshina@best.com>
- re-build against RedHat 5.2 under libwcsmbs and ruby 1.2.2

* Sat Nov 21 1998 Toru Hoshina <hoshina@best.com>
- re-build against RedHat 5.2 under libwcsmbs.

* Fri Oct  9 1998 Toru Hoshina <hoshina@best.com>
- 1st release.
